Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.TypeChecking.DeadCode

Synopsis

- eliminateDeadCode :: DisplayForms -> Signature -> TCM (DisplayForms, Signature)

# Documentation

eliminateDeadCode :: DisplayForms -> Signature -> TCM (DisplayForms, Signature) #

Run before serialisation to remove any definitions that are not reachable from the public interface to the module.